commit:     c0dcad360beb61942c246dd5a66f1afa0f6735a2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  4 05:24:52 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Oct  4 05:24:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0dcad36

dev-libs/libofx: add 0.10.9

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libofx/Manifest             |  1 +
 dev-libs/libofx/libofx-0.10.9.ebuild | 50 ++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-libs/libofx/Manifest b/dev-libs/libofx/Manifest
index e72b480c60c7..72f2eed857c9 100644
--- a/dev-libs/libofx/Manifest
+++ b/dev-libs/libofx/Manifest
@@ -1,3 +1,4 @@
 DIST libofx-0.10.3.tar.gz 225132 BLAKE2B 
29dff4cb79a4a535bf255c787e184d103ecdbe975bb4bb223b675bbacaff9f8a228ae0a3dffe7710c2707496ac65c4f48ce993243b8353172c53cb02067d9267
 SHA512 
6c024628a6a11d9542c669a438223331a033eb820b1a2c3001c60d1ab3fad45ccdec64f9b54dd206fe0058ead8e14e751eb7a3bd88e8f9e1013b0bdd5b6c5242
 DIST libofx-0.10.7.tar.gz 1420230 BLAKE2B 
03a98fa3dc79519a7e84b5c0df1686ef523c2f2209caa4f4cb3e40f2cbac0172956cab107ef4086f0e13aea2898bdd36e7a56140874cbd8a2a88d5634ef988c2
 SHA512 
da96d24675cf681d007e3d4f7d83f4fc2ca56d991b4128f4e3a870fd66d70302950b24b1e17e78a9795d19704f1af7cd2102929b3290f27204499f42a24502a2
 DIST libofx-0.10.8.tar.gz 1477698 BLAKE2B 
d2d232845c251d8cf78b17bb40e8057cb4479a03939b5d2b2750e68a24524c07d2a66a636fdb930521d7872a234b4719190ad1a2a185444a3359bea48e3dc413
 SHA512 
24373066c4de27416452afc9924874b52e82452ca7681b9bad098c839057fc5e06c1d4b297818e68a25d75166e4898d7cc52c8db648a25c363a7f95934a4f7fa
+DIST libofx-0.10.9.tar.gz 1478209 BLAKE2B 
fc7f7f2dae723fbfd44bd2c4550fead3b2ec12725fb89f385fe8d454e2b9c9985ae408e24c25c0db5cde891c7ad1d36acc3cae59c49d41501db60711989a1955
 SHA512 
89425912fa8c800ede9d7177ccd5cb3ea2a2301b42aa6580ddb105406fe68c770e2c461eefdea5bc7e883967c90e3519a219bf0b56d12c7de1030d0964d50cac

diff --git a/dev-libs/libofx/libofx-0.10.9.ebuild 
b/dev-libs/libofx/libofx-0.10.9.ebuild
new file mode 100644
index 000000000000..87cfdff2482d
--- /dev/null
+++ b/dev-libs/libofx/libofx-0.10.9.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="Library to support the Open Financial eXchange XML format"
+HOMEPAGE="https://github.com/libofx/libofx";
+SRC_URI="https://github.com/libofx/libofx/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0/10"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-util/gengetopt
+       sys-apps/help2man
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+       test? ( app-crypt/gnupg )
+"
+RDEPEND="
+       >app-text/opensp-1.5
+       app-text/openjade
+       >=dev-cpp/libxmlpp-2.40.1:2.6
+       >=net-misc/curl-7.9.7
+       virtual/libiconv
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       # bug #566456
+       append-cxxflags -std=c++14
+
+       econf $(use_enable doc html-docs)
+}
+
+src_compile() {
+       emake all $(usev doc)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -type f -delete || die
+       find "${ED}" -name '*.a' -type f -delete || die
+}

Reply via email to